name: Continuous Integration

on:
  push:
  workflow_dispatch:

jobs:
  check:
    name: Lint, Check & Test
    runs-on: nix

    steps:
      - name: Check out Repository
        uses: https://git.konstantinfickel.de/actions/checkout@de0fac2e4500dabe0009e67214ff5f5447ce83dd # v6

      - run: nix --version
      - run: nix flake check

  build:
    name: Build Package
    runs-on: nix

    steps:
      - name: Check out Repository
        uses: https://git.konstantinfickel.de/actions/checkout@de0fac2e4500dabe0009e67214ff5f5447ce83dd # v6

      - run: nix build
